Name:           meson
Version:        0.51.1
Release:        3
Summary:        An open source high quality build system
License:        ASL 2.0 
URL:            https://mesonbuild.com/
Source0:        https://github.com/mesonbuild/meson/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
Obsoletes:      %{name}-gui < 0.31.0-3

BuildRequires:  python3-devel python3-setuptools
Requires:       python3-setuptools ninja-build

%description
Meson is an open source build system meant to be both extremely fast, and, even more importantly,
as user friendly as possible.

The main design point of Meson is that every moment a developer spends writing or debugging build
definitions is a second wasted. So is every second spent waiting for the build system to actually
start compiling code.

%package_help

%prep
%autosetup -p1 
rm -rf "test cases/frameworks/17 mpi"
sed -i -e "/^%%__meson /s| .*$| %{_bindir}/%{name}|" data/macros.%{name}

%build
%py3_build

%install
%py3_install
install -Dpm0644 data/macros.%{name} %{buildroot}%{_rpmmacrodir}/macros.%{name}

%files
%license COPYING
%{_bindir}/%{name}
%{python3_sitelib}/mesonbuild/
%{python3_sitelib}/%{name}-*.egg-info/
%{_rpmmacrodir}/macros.%{name}
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy

%files help
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Jan 12 2020 chengquan <chengquan3@huawei.com> - 0.51.1-3
- remove useless buildrequires of software

* Mon Dec 16 2019 catastrowings <jianghuhao1994@163.com> - 0.51.1-2
- fix build fail

* Wed Dec 11 2019 catastrowings <jianghuhao1994@163.com> - 0.49.0-2
- openEuler init
